Difference between revisions of "Draft Circle/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
m
m
Line 47: Line 47:
 
* Appuyez sur {{KEY|Echap}} ou sur le bouton {{Button|Fermer}} pour annuler la commande en cours.
 
* Appuyez sur {{KEY|Echap}} ou sur le bouton {{Button|Fermer}} pour annuler la commande en cours.
  
<div class="mw-translate-fuzzy">
 
 
==Propriétés==
 
==Propriétés==
* {{PropertyData/fr|Radius}}: Le rayon du cercle
+
Un objet Circle partage toutes les propriétés d'un [[Draft Arc/fr|arc]], mais certaines propriétés n'ont de sens que pour le cercle.
* {{PropertyData/fr|Make Face}}: Remplit le cercle avec une face
 
* {{PropertyView/fr|Pattern}}: Spécifie le type de hachure a utiliser
 
* {{PropertyView/fr|Pattern Size}}: Spécifie l’épaisseur du hachage
 
</div>
 
  
 
===Data===
 
===Data===

Revision as of 11:38, 1 September 2019

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Page précédente: Draft Wire.svg Filaire Draft
Page suivante: Arc Draft Draft Arc.svg Arrow-right.svg

Draft Circle.svg Cercle Draft

Emplacement du menu
Draft → Cercle
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
C I
Introduit dans la version
0.7
Voir aussi
Arc Draft, Ellipse Draft


Description

L'outil Cercle crée un cercle dans le Plan de travail Draft en entrant deux points, le centre et le rayon, ou en sélectionnant des tangentes, ou toute combinaison de ceux-ci. Il utilise le Propriétés de ligne Draft défini dans la barre Draft.

Cet outil fonctionne de la même manière que l'outil Arc Draft sauf qu'il crée une circonférence complète. Pour dessiner une ellipse, utilisez Ellipse Draft.

Draft Circle example.jpg

Cercle défini par deux points


Utilisation

  1. Pressez la touche Draft Circle.png Cercle Draft ou pressez les touches C et I
  2. Cliquez un premier point dans la vue 3D ou entrez les Coordonnées Draft ou cliquez sur Draft AddPoint.svg Ajouter un point Draft.
  3. Cliquez un second point dans la vue 3D ou entrez la valeur du rayon.

Le cercle peut être édité en double-cliquant sur l'élément dans l'arborescence ou en appuyant sur le bouton Draft Edit.svg Editer Draft. Ensuite, vous pouvez déplacer le centre et les points de rayon vers une nouvelle position.

Le cercle peut être transformé en arc après sa création en définissant ses propriétés de premier angle et dernier angle à différentes valeurs.

Options

  • L’utilisation principale de l’outil cercle consiste à choisir deux points, le centre et un point sur la circonférence.
    • En appuyant sur Alt, vous pouvez sélectionner une tangente au lieu de choisir un point. Vous pouvez donc construire plusieurs types de cercles en sélectionnant une, deux ou trois tangentes.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point Draft lorsque vous avez entré les valeurs souhaitées pour insérer le point.
  • Appuyez sur T ou cochez la case pour passer en mode continuer. Si le mode Continuer est activé, l'outil Cercle redémarrera une fois le cercle terminé, vous permettant d'en dessiner un autre sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur L ou cliquez sur la case à cocher pour passer en mode rempli. Si le mode Rempli est activé, le cercle créera une surface remplie (DonnéesMake Face True) sinon le cercle ne créera pas de surface (DonnéesMake Face False).
  • Maintenez la touche Ctrl pendant que vous dessinez pour forcer Accrochage Draft votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez Shift pendant que vous dessinez pour forcer avec Contrainte Draft votre deuxième point à être horizontal ou vertical par rapport au premier.
  • Appuyez sur Echap ou sur le bouton Fermer pour annuler la commande en cours.

Propriétés

Un objet Circle partage toutes les propriétés d'un arc, mais certaines propriétés n'ont de sens que pour le cercle.

Data

  • DataFirst Angle: specifies the starting angle of the circle; normally 0°.
  • DataLast Angle: specifies the ending angle of the circle; normally 0°.
  • DataRadius: specifies the radius of the circle.
  • DataMake Face: specifies if the Circle makes a face or not. If it is True a face is created, otherwise only the circumference is considered part of the object. This property only works if the shape is a full circumference.
For it to be a full circle DataFirst Angle and DataLast Angle should have the same value; otherwise, a Draft Arc is displayed. The values 0° and 360° aren't considered the same, so if these two values are used, the circle will not form a face.

View

  • ViewPattern: specifies a Draft Pattern with which to fill the face of the circle. This property only works if DataMake Face is True, and if ViewDisplay Mode is "Flat Lines".
  • ViewPattern Size: specifies the size of the Draft Pattern.

Script

L'outil cercle peut être utilisé dans les macros, et, dans la console Python, en utilisant la fonction suivante :

The Circle tool can be used in macros and from the Python console by using the following function:

Circle = makeCircle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
Circle = makeCircle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Crée un objet cercle avec un rayon donné.
  • Si une position est donnée, elle est utilisée.
  • Si facemode a la valeur False, le cercle est montré comme une forme filaire, sinon ,comme une face.
  • Si startangle et endangle sont donnés (en degrés), ils sont utilisés, et, l'objet apparaît comme un arc.
  • Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD, Draft

Circle1 = Draft.makeCircle(200)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(1000, 1000, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 0))
Circle2 = Draft.makeCircle(500, placement=place2)

p3 = FreeCAD.Vector(-1000, -1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 0))
Circle3 = Draft.makeCircle(750, placement=place3)
Arrow-left.svg Previous: Draft Wire.svg Wire
Next: Arc Draft Arc.svg Arrow-right.svg